Index: src/spectral/filterbank.c
===================================================================
--- src/spectral/filterbank.c	(revision 06cae6cc6c312a179e19503edfd430ef1c64cf6f)
+++ src/spectral/filterbank.c	(revision 3b3b03e80b53e26cf812f2fca0387bc71b221089)
@@ -29,36 +29,43 @@
 
 /** \brief A structure to store a set of n_filters filters of lenghts win_s */
-struct aubio_filterbank_t_ {
-    uint_t win_s;
-    uint_t n_filters;
-    fvec_t *filters;
+struct aubio_filterbank_t_
+{
+  uint_t win_s;
+  uint_t n_filters;
+  fvec_t *filters;
 };
 
-aubio_filterbank_t * new_aubio_filterbank(uint_t n_filters, uint_t win_s){
+aubio_filterbank_t *
+new_aubio_filterbank (uint_t n_filters, uint_t win_s)
+{
   /* allocate space for filterbank object */
-  aubio_filterbank_t * fb = AUBIO_NEW(aubio_filterbank_t);
-  fb->win_s=win_s;
-  fb->n_filters=n_filters;
+  aubio_filterbank_t *fb = AUBIO_NEW (aubio_filterbank_t);
+  fb->win_s = win_s;
+  fb->n_filters = n_filters;
 
   /* allocate filter tables, an fvec of length win_s and of filter_cnt channel */
-  fb->filters = new_fvec(win_s, n_filters);
+  fb->filters = new_fvec (win_s, n_filters);
 
   return fb;
 }
 
-void del_aubio_filterbank(aubio_filterbank_t * fb){
-  del_fvec(fb->filters);
-  AUBIO_FREE(fb);
+void
+del_aubio_filterbank (aubio_filterbank_t * fb)
+{
+  del_fvec (fb->filters);
+  AUBIO_FREE (fb);
 }
 
-void aubio_filterbank_do(aubio_filterbank_t * f, cvec_t * in, fvec_t *out) {
+void
+aubio_filterbank_do (aubio_filterbank_t * f, cvec_t * in, fvec_t * out)
+{
   uint_t i, j, fn;
 
   /* apply filter to all input channel, provided out has enough channels */
-  uint_t max_channels = MIN(in->channels, out->channels);
-  uint_t max_filters  = MIN(f->n_filters, out->length);
+  uint_t max_channels = MIN (in->channels, out->channels);
+  uint_t max_filters = MIN (f->n_filters, out->length);
 
   /* reset all values in output vector */
-  fvec_zeros(out);
+  fvec_zeros (out);
 
   /* apply filters on all channels */
@@ -66,16 +73,16 @@
 
     /* for each filter */
-    for(fn = 0; fn < max_filters; fn++) {
+    for (fn = 0; fn < max_filters; fn++) {
 
       /* for each sample */
-      for(j = 0; j < in->length; j++) {
-          out->data[i][fn] += in->norm[i][j] * f->filters->data[fn][j];
+      for (j = 0; j < in->length; j++) {
+        out->data[i][fn] += in->norm[i][j] * f->filters->data[fn][j];
       }
 
       /* threshold to VERY_SMALL_NUMBER to avoid log oveflow */
-      out->data[i][fn] = MAX(VERY_SMALL_NUMBER, out->data[i][fn]);
+      out->data[i][fn] = MAX (VERY_SMALL_NUMBER, out->data[i][fn]);
 
       /* compute logarithm */
-      out->data[i][fn] = LOG(out->data[i][fn]);
+      out->data[i][fn] = LOG (out->data[i][fn]);
     }
   }
@@ -84,5 +91,7 @@
 }
 
-fvec_t * aubio_filterbank_get_coeffs(aubio_filterbank_t * f) {
+fvec_t *
+aubio_filterbank_get_coeffs (aubio_filterbank_t * f)
+{
   return f->filters;
 }
Index: src/spectral/filterbank.h
===================================================================
--- src/spectral/filterbank.h	(revision 06cae6cc6c312a179e19503edfd430ef1c64cf6f)
+++ src/spectral/filterbank.h	(revision 3b3b03e80b53e26cf812f2fca0387bc71b221089)
@@ -32,5 +32,6 @@
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
@@ -45,5 +46,5 @@
 */
 
-aubio_filterbank_t * new_aubio_filterbank(uint_t n_filters, uint_t win_s);
+aubio_filterbank_t *new_aubio_filterbank (uint_t n_filters, uint_t win_s);
 
 /** destroy filterbank object
@@ -52,5 +53,5 @@
 
 */
-void del_aubio_filterbank(aubio_filterbank_t * fb);
+void del_aubio_filterbank (aubio_filterbank_t * fb);
 
 /** compute filterbank
@@ -61,5 +62,5 @@
 
 */
-void aubio_filterbank_do(aubio_filterbank_t * fb, cvec_t * in, fvec_t *out);
+void aubio_filterbank_do (aubio_filterbank_t * fb, cvec_t * in, fvec_t * out);
 
 /** return a pointer to the fvec object containing all filter coefficients 
@@ -68,5 +69,5 @@
 
  */
-fvec_t * aubio_filterbank_get_coeffs(aubio_filterbank_t * f);
+fvec_t *aubio_filterbank_get_coeffs (aubio_filterbank_t * f);
 
 #ifdef __cplusplus
@@ -74,3 +75,3 @@
 #endif
 
-#endif // FILTERBANK_H
+#endif                          // FILTERBANK_H
